kopano-vcfimport(1)

Name

kopano-vcfimport — contact/event importer

Synopsis

kopano-vcfimport [--calendar|--contact] [-Px] [-h uri] [-s sslkeyfile] [-u username] [file...]

Description

This program can be used to import contacts from one or more vCard (.vcf) files into a user's contact folder (personal address book). It also supports importing events from one or more iCalendar (.ics) files into a user's calendar. If no files are given, input is read from standard input.

Options

--calendar
    Treat all the input as iCalendar data.

--contact
    Treat all the input as vCard data.

-h uri
    Connect to the given storage server. By default, the local standard Kopano instance is contacted.

-P  Interactively prompt for the SSL keyfile password. If not specified, the SSL_PASSWORD environment variable will be used.

-s, --sslkey-file file
    Read the specified certificate file and use it during connecting to the storage server.

-u, --user username
    The username for the mailbox to operate on.

-x  Interactively prompt for the user account password. If not used, the PASSWORD environment variable will be sourced.

Usage examples

Non-SSL login with password, importing two vCard files.

    PASSWORD=foo kopano-vcfimport --contact -u user1 a.vcf b.vcf